@ECHO OFF
SETLOCAL

IF NOT EXIST testOut\ mkdir testOut

SET PROG=tclsh ..\poApps.tcl
IF NOT "%1"=="" SET PROG=%1

SET OPT=--imgview --overwrite --convdir testOut --convfmt PNG --verbose --nosaveonexit --config ConfigDir --nodisplay
SET IMG=testIn\byte-1chan-bu.raw

@ECHO ON
CALL %PROG% %OPT% %IMG% --logo                       --convname "Logo-1_"
CALL %PROG% %OPT% %IMG% --crop 52 52 75 75           --convname "Crop-1_"
CALL %PROG% %OPT% %IMG% --scale 64 256               --convname "Scale-1_"
CALL %PROG% %OPT% %IMG% --scale 50%%%% 200%%%%       --convname "Scale-2_"
CALL %PROG% %OPT% %IMG% --scale 128 256 --keepaspect --convname "Scale-3_"
